Skip to main content
PUT
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
spend
/
{spendId}
Update spend item
curl --request PUT \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/spend/{spendId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "name": "<string>",
  "order": 123,
  "description": "<string>"
}
'
{
  "amount": 123,
  "createdAt": 123,
  "id": "<string>",
  "name": "<string>",
  "order": 123,
  "updatedAt": 123,
  "description": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignGuid
string
required

The unique identifier of the campaign.

spendId
integer<int64>
required

The unique identifier of the spend item to update.

Body

application/json
amount
number
required

The monetary value of the spend item.

name
string
required

The name of the spend item.

order
integer<int32>
required

The sequence number indicating the order of the spend item.

description
string

A brief description of the spend item.

Response

successful operation

amount
number
required

The monetary amount of the spend item, represented as a number.

createdAt
integer<int64>
required

A Unix timestamp in milliseconds indicating when the spend item was created.

id
string
required

The unique identifier for the spend item, represented as a string.

name
string
required

The name of the spend item, represented as a string.

order
integer<int32>
required

An integer that specifies the order of the spend item.

updatedAt
integer<int64>
required

A Unix timestamp in milliseconds indicating when the spend item was last updated.

description
string

A brief description of the spend item, represented as a string.

Last modified on March 30, 2026